function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = Mod_borrconst_slack_sym_iterparam.static_g1_tt(T, y, x, params);
end
g1 = zeros(64, 64);
g1(1,1)=1;
g1(1,2)=1-T(2);
g1(1,3)=(-(y(2)/y(15)));
g1(1,4)=(-y(5));
g1(1,5)=(-y(4));
g1(1,11)=(-(1-y(12)));
g1(1,12)=y(11);
g1(1,15)=(-((-(y(2)*y(3)))/(y(15)*y(15))));
g1(2,3)=(-(T(1)*params(4)*T(19)));
g1(2,15)=(-(T(1)*params(4)*T(21)));
g1(2,31)=T(24)-params(4)*T(2)*T(24);
g1(3,4)=T(1);
g1(3,5)=(-(params(2)*getPowerDeriv(y(5),params(1),1)));
g1(3,31)=y(4)*T(24);
g1(4,7)=T(1)-T(1)*params(4);
g1(4,13)=(-(y(19)*getPowerDeriv(y(13),(-1),1)));
g1(4,19)=(-T(3));
g1(4,31)=y(7)*T(24)-params(4)*y(7)*T(24);
g1(5,1)=(-(1-params(15)));
g1(5,31)=1;
g1(6,2)=T(2)-1;
g1(6,3)=y(2)/y(15);
g1(6,6)=1;
g1(6,8)=(-y(9));
g1(6,9)=(-y(8));
g1(6,15)=(-(y(2)*y(3)))/(y(15)*y(15));
g1(7,3)=(-(y(10)+T(4)*params(5)*T(19)));
g1(7,10)=(-y(3));
g1(7,15)=(-(T(4)*params(5)*T(21)));
g1(7,32)=T(25)-T(2)*params(5)*T(25);
g1(8,8)=T(4);
g1(8,9)=(-(params(2)*getPowerDeriv(y(9),params(1),1)));
g1(8,32)=y(8)*T(25);
g1(9,7)=T(4)-T(4)*params(5);
g1(9,10)=(-(y(20)*y(55)*y(56)));
g1(9,14)=(-((-y(19))/(y(14)*y(14))));
g1(9,19)=(-(1/y(14)));
g1(9,20)=(-(y(10)*y(55)*y(56)));
g1(9,32)=y(7)*T(25)-y(7)*params(5)*T(25);
g1(9,55)=(-(y(10)*y(20)*y(56)));
g1(9,56)=(-(y(10)*y(20)*y(55)));
g1(10,6)=(-(1-params(15)));
g1(10,32)=1;
g1(11,4)=1;
g1(11,5)=(-(y(12)*params(8)*(-y(11))/(y(5)*y(5))));
g1(11,11)=(-(y(12)*params(8)*1/y(5)));
g1(11,12)=(-(params(8)*y(11)/y(5)));
g1(12,8)=1;
g1(12,9)=(-(y(12)*(1-params(8))*(-y(11))/(y(9)*y(9))));
g1(12,11)=(-(y(12)*(1-params(8))*1/y(9)));
g1(12,12)=(-((1-params(8))*y(11)/y(9)));
g1(13,4)=(-(T(6)*1/params(8)*getPowerDeriv(y(4)/params(8),params(8),1)));
g1(13,8)=(-(T(5)*1/(1-params(8))*getPowerDeriv(y(8)/(1-params(8)),1-params(8),1)));
g1(13,12)=1;
g1(14,5)=(-(T(8)*getPowerDeriv(y(5),params(8),1)));
g1(14,9)=(-(T(7)*getPowerDeriv(y(9),1-params(8),1)));
g1(14,22)=1;
g1(15,16)=1;
g1(15,17)=(-((params(6)-1)/params(6)*y(21)));
g1(15,21)=(-((params(6)-1)/params(6)*y(17)));
g1(16,11)=(-(y(12)/y(31)));
g1(16,12)=(-(y(11)/y(31)));
g1(16,15)=(-(y(16)*params(4)*params(9)*T(22)));
g1(16,16)=1-params(4)*params(9)*T(9);
g1(16,31)=(-((-(y(12)*y(11)))/(y(31)*y(31))));
g1(17,11)=(-(1/y(31)));
g1(17,15)=(-(y(17)*params(4)*params(9)*T(23)));
g1(17,17)=1-params(4)*params(9)*T(10);
g1(17,31)=(-((-y(11))/(y(31)*y(31))));
g1(18,15)=(-((-((1-params(9))*(-(params(9)*T(23)))))/((1-params(9)*T(10))*(1-params(9)*T(10)))*getPowerDeriv((1-params(9))/(1-params(9)*T(10)),1/(params(6)-1),1)));
g1(18,21)=1;
g1(19,15)=(-(y(18)*params(9)*T(22)));
g1(19,18)=1-params(9)*T(9);
g1(19,21)=(-((1-params(9))*getPowerDeriv(y(21),(-params(6)),1)));
g1(20,13)=1;
g1(20,14)=1;
g1(21,3)=1-T(14)*getPowerDeriv(y(3),params(17),1);
g1(21,11)=(-(T(15)*T(11)*((y(11))-y(11))/((y(11))*(y(11)))*getPowerDeriv(y(11)/(y(11)),params(11),1)*T(20)));
g1(21,15)=(-(T(15)*T(20)*T(12)*1/params(4)*getPowerDeriv(y(15),params(10),1)));
g1(22,19)=1/y(19)-params(16)*1/y(19);
g1(22,43)=(-1);
g1(22,52)=(-1);
g1(23,39)=1;
g1(24,39)=(-1);
g1(24,40)=1;
g1(25,40)=(-1);
g1(25,41)=1;
g1(26,41)=(-1);
g1(26,42)=1;
g1(27,42)=(-1);
g1(27,43)=1;
g1(28,48)=(-1);
g1(28,52)=1;
g1(29,44)=1;
g1(30,44)=(-1);
g1(30,45)=1;
g1(31,45)=(-1);
g1(31,46)=1;
g1(32,46)=(-1);
g1(32,47)=1;
g1(33,47)=(-1);
g1(33,48)=1;
g1(34,1)=(-(1/y(11)));
g1(34,11)=(-((-y(1))/(y(11)*y(11))));
g1(34,23)=1;
g1(35,6)=(-(1/y(11)));
g1(35,11)=(-((-y(6))/(y(11)*y(11))));
g1(35,24)=1;
g1(36,7)=(-(1/(y(11)*4)));
g1(36,11)=(-((-(y(7)*4))/(y(11)*4*y(11)*4)));
g1(36,25)=1;
g1(37,7)=(-(y(13)/(y(11)*4)));
g1(37,11)=(-((-(4*y(7)*y(13)))/(y(11)*4*y(11)*4)));
g1(37,13)=(-(y(7)/(y(11)*4)));
g1(37,26)=1;
g1(38,7)=(-(y(14)/(y(11)*4)));
g1(38,11)=(-((-(4*y(7)*y(14)))/(y(11)*4*y(11)*4)));
g1(38,14)=(-(y(7)/(y(11)*4)));
g1(38,27)=1;
g1(39,2)=(-(1/(y(11)*4)));
g1(39,11)=(-((-(y(2)*4))/(y(11)*4*y(11)*4)));
g1(39,28)=1;
g1(40,2)=(-(1/(y(8)*y(9)*4)));
g1(40,8)=(-((-(y(2)*y(9)*4))/(y(8)*y(9)*4*y(8)*y(9)*4)));
g1(40,9)=(-((-(y(2)*y(8)*4))/(y(8)*y(9)*4*y(8)*y(9)*4)));
g1(40,38)=1;
g1(41,3)=(-400);
g1(41,34)=1;
g1(42,3)=(-100);
g1(42,33)=1;
g1(43,3)=(-(100*T(19)));
g1(43,15)=(-(100*T(21)));
g1(43,35)=1;
g1(44,3)=(-(400*T(19)));
g1(44,15)=(-(400*T(21)));
g1(44,36)=1;
g1(45,30)=1;
g1(46,29)=1;
g1(47,15)=(-(y(51)*y(49)*y(50)));
g1(47,37)=1;
g1(47,49)=(-(y(51)*y(15)*y(50)));
g1(47,50)=(-(y(15)*y(49)*y(51)));
g1(47,51)=(-(y(15)*y(49)*y(50)));
g1(48,15)=(-1);
g1(48,49)=1;
g1(49,49)=(-1);
g1(49,50)=1;
g1(50,50)=(-1);
g1(50,51)=1;
g1(51,60)=1;
g1(52,60)=(-1);
g1(52,61)=1;
g1(53,61)=(-1);
g1(53,62)=1;
g1(54,62)=(-1);
g1(54,63)=1;
g1(55,60)=(-(y(63)*y(61)*y(62)));
g1(55,61)=(-(y(63)*y(60)*y(62)));
g1(55,62)=(-(y(63)*y(60)*y(61)));
g1(55,63)=(-(y(62)*y(60)*y(61)));
g1(55,64)=1;
g1(56,8)=(-y(9));
g1(56,9)=(-y(8));
g1(56,53)=1;
g1(57,4)=(-y(5));
g1(57,5)=(-y(4));
g1(57,54)=1;
g1(58,7)=(-1);
g1(58,55)=1;
g1(59,15)=(-1);
g1(59,56)=1;
g1(60,15)=(-((-(y(58)*params(19)))/(y(15)*y(15))));
g1(60,20)=(-((1-params(19))*y(57)));
g1(60,57)=(-(y(20)*(1-params(19))));
g1(60,58)=1-params(19)/y(15);
g1(61,3)=(-(y(14)*(-(y(55)*y(56)))/(y(3)*y(3))));
g1(61,14)=(-(y(55)*y(56)/y(3)));
g1(61,55)=(-(y(14)*y(56)/y(3)));
g1(61,56)=(-(y(14)*y(55)/y(3)));
g1(61,57)=1;
g1(62,10)=1;
g1(63,2)=(-1);
g1(63,58)=1;
g1(63,59)=1;
g1(64,20)=1-T(17)*getPowerDeriv(y(20),params(18),1);
g1(64,28)=(-(T(18)*T(16)*((y(28))-y(28))/((y(28))*(y(28)))*getPowerDeriv(y(28)/(y(28)),(1-params(18))*(-params(12)),1)));
if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
end
end
