function T = static_g1_tt(T, y, x, params)
% function T = static_g1_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 25);

T = Mod_borrconst_slack_sym_iterparam.static_resid_tt(T, y, x, params);

T(19) = 1/y(15);
T(20) = getPowerDeriv(T(13),1-params(17),1);
T(21) = (-y(3))/(y(15)*y(15));
T(22) = getPowerDeriv(y(15),params(6),1);
T(23) = getPowerDeriv(y(15),params(6)-1,1);
T(24) = (-(1-params(15)))/(y(31)*y(31));
T(25) = (-(1-params(15)))/(y(32)*y(32));

end
