clear all
close all

randn('seed',1234567)  
rand('seed' ,1234567)

%% Load VAR Coefficient
load('Bayesian_GIRFs_SR_centered_7Q_AG')
%h = nhor+1;

%% F
fig=figure('Name','F(z)')
subplot(1,2,1)
plot(0:h,squeeze(prctile(Fz2_R_density_mean(1:h+1,:),[16 50 84],2)),'b','Linewidth',2)
xlim([0 h])
ylim([0 1])
title('F(z) after a Government Spending Shock in Passive MP regime')
set(gca,'fontsize',16)
subplot(1,2,2)
plot(0:h,squeeze(prctile(Fz2_E_density_mean(1:h+1,:),[16 50 84],2)),'r','Linewidth',2)
title('F(z) after a Government Spending Shock in Active MP regime')
xlim([0 h])
ylim([0 1])
set(gca,'fontsize',16)
set(gcf,'color','w')