function multiplier = multiplier_fct3Vars(response, GYsc, nhor,Ypos,Gpos)

% function receives imp_cumsum(:,:,:,m) as input
nvar = size(response,1);
nhor = size(response,2);

IRF=reshape(response,nvar,nhor);
multiplier=zeros(nhor,1);
sum_y=zeros(nhor,1);
sum_f=zeros(nhor,1);

for i = 1:nhor
    multiplier(i) = sum(IRF(Ypos,1:i))/sum(IRF(Gpos,1:i))*(1/GYsc); %use SUM multiplier
    %multiplier(i) = max(IRF(3,1:i))/max(IRF(1,1:i))*(1/GYsc); %use MAX multiplier
    
end

% sum_y(1)=(1+avg_i)^(0)*IRF(end,1);
% sum_f(1)=(1+avg_i)^(0)*IRF(1,1);
% multiplier(1) = sum_y(1)/sum_f(1);
% 
% for j = 2:nhor
%     sum_y(j) = sum_y(j-1) + IRF(end,j);
%     sum_f(j) = sum_f(j-1) + IRF(1,j);
%     multiplier(j) = sum_y(j)/sum_f(1);
% end
% 
% multiplier = multiplier*GYsc;


% Impact Period
% sum_y(1,1)=(1+avg_i)^(0)*IRF(end,1);
% sum_f(1,1)=(1+avg_i)^(0)*IRF(1,1);
% multiplier(1,1)=sum_y(1,1)/sum_f(1,1);%*(avg_y/avg_f);
% 
% % Dynamic multiplier (old sum plus the piece from period j-1
% for j=2:nhor
%        sum_y(j,1)=sum_y(j-1,1)+(1+avg_i)^(-(j-1))*IRF(end,j);
%        sum_f(j,1)=sum_f(j-1,1)+(1+avg_i)^(-(j-1))*IRF(1,j);
%        multiplier(j,1)=sum_y(j,1)/sum_f(j,1)*GYsc;  
% end

